commit:     ca3819b93818a725e105408dfc4126ff89016a93
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 25 17:26:26 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Jan 25 17:26:48 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ca3819b9

x11-terms/rxvt-unicode: Version bump (bug #563414 by Bohdan Trach and Ben 
Kohler).

Package-Manager: portage-2.2.27

 x11-terms/rxvt-unicode/Manifest                 |   1 +
 x11-terms/rxvt-unicode/rxvt-unicode-9.22.ebuild | 134 ++++++++++++++++++++++++
 2 files changed, 135 insertions(+)

diff --git a/x11-terms/rxvt-unicode/Manifest b/x11-terms/rxvt-unicode/Manifest
index 4eafb1e..9cc01c0 100644
--- a/x11-terms/rxvt-unicode/Manifest
+++ b/x11-terms/rxvt-unicode/Manifest
@@ -1 +1,2 @@
 DIST rxvt-unicode-9.21.tar.bz2 925293 SHA256 
75270ed72bc5895a64a1d7392bf45a622204192371c3965bd3dd978dc088956b SHA512 
d50adf6b1e6ae3b13492b4f40455d3a56bb174a7c6db4d4525a1277736994adfb74a2cd1e7d3e8a8cfdc4509a9ae32c05a627829e295dc1bd4a5ba7cc2f80776
 WHIRLPOOL 
92499cfa0ca154d3cbe1d7b6525e01de6a5d14677a28c605a6b676c88f1d9bc0f6cd663a1f1d8b003ac7cc46a9c6fbe49ff9adc7b3dd63eb345c80de9038a6ad
+DIST rxvt-unicode-9.22.tar.bz2 931198 SHA256 
e94628e9bcfa0adb1115d83649f898d6edb4baced44f5d5b769c2eeb8b95addd SHA512 
b39f1b2cbe6dd3fbd2a0ad6a9d391a2b6f49d7c5e67bc65fe44a9c86937f8db379572c67564c6e21ff6e09b447cdfd4e540544e486179e94da0e0db679c04dd9
 WHIRLPOOL 
46758c75a86ab82feaec1fb49c3920db87b55865daabb6f576503f2c7ba0cc1e147fb8de74c9fae422512378e31e0c2133f73fb23c2129c68b2d84f47cc85522

diff --git a/x11-terms/rxvt-unicode/rxvt-unicode-9.22.ebuild 
b/x11-terms/rxvt-unicode/rxvt-unicode-9.22.ebuild
new file mode 100644
index 0000000..d90893f
--- /dev/null
+++ b/x11-terms/rxvt-unicode/rxvt-unicode-9.22.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils
+
+DESCRIPTION="rxvt clone with xft and unicode support"
+HOMEPAGE="http://software.schmorp.de/pkg/rxvt-unicode.html";
+SRC_URI="http://dist.schmorp.de/rxvt-unicode/Attic/${P}.tar.bz2";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~sparc-solaris"
+IUSE="
+       256-color alt-font-width blink buffer-on-clear +focused-urgency
+       fading-colors +font-styles iso14755 +mousewheel +perl pixbuf 
secondary-wheel
+       startup-notification xft unicode3 +vanilla wcwidth
+"
+
+RDEPEND="
+       >=sys-libs/ncurses-5.7-r6:5=
+       kernel_Darwin? ( dev-perl/Mac-Pasteboard )
+       media-libs/fontconfig
+       perl? ( dev-lang/perl:= )
+       pixbuf? ( x11-libs/gdk-pixbuf x11-libs/gtk+:2 )
+       startup-notification? ( x11-libs/startup-notification )
+       x11-libs/libX11
+       x11-libs/libXrender
+       xft? ( x11-libs/libXft )
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/pkgconfig
+       x11-proto/xproto
+"
+
+RESTRICT="test"
+REQUIRED_USE="vanilla? ( !alt-font-width !buffer-on-clear focused-urgency 
!secondary-wheel !wcwidth )"
+
+src_prepare() {
+       # fix for prefix not installing properly
+       epatch \
+               "${FILESDIR}"/${PN}-9.06-case-insensitive-fs.patch \
+               "${FILESDIR}"/${PN}-9.21-xsubpp.patch
+
+       if ! use vanilla; then
+               ewarn "You are going to include unsupported third-party bug 
fixes/features."
+               ewarn "If you want even more control over patches, then set 
USE=vanilla"
+               ewarn "and store your patch set in 
/etc/portage/patches/${CATEGORY}/${PF}/"
+
+               use wcwidth && epatch doc/wcwidth.patch
+
+               # bug #240165
+               use focused-urgency || epatch 
"${FILESDIR}"/${PN}-9.06-no-urgency-if-focused.diff
+
+               # bug #263638
+               epatch "${FILESDIR}"/${PN}-9.06-popups-hangs.patch
+
+               # bug #237271
+               epatch "${FILESDIR}"/${PN}-9.05_no-MOTIF-WM-INFO.patch
+
+               # support for wheel scrolling on secondary screens
+               use secondary-wheel && epatch 
"${FILESDIR}"/${PN}-9.19-secondary-wheel.patch
+
+               # ctrl-l buffer fix
+               use buffer-on-clear && epatch 
"${FILESDIR}"/${PN}-9.14-clear.patch
+
+               use alt-font-width && epatch 
"${FILESDIR}"/${PN}-9.06-font-width.patch
+       fi
+
+       # kill the rxvt-unicode terminfo file - #192083
+       sed -i -e "/rxvt-unicode.terminfo/d" doc/Makefile.in || die "sed failed"
+
+       epatch_user
+
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=''
+
+       use iso14755 || myconf='--disable-iso14755'
+
+       econf --enable-everything \
+               $(use_enable 256-color) \
+               $(use_enable blink text-blink) \
+               $(use_enable fading-colors fading) \
+               $(use_enable font-styles) \
+               $(use_enable mousewheel) \
+               $(use_enable perl) \
+               $(use_enable pixbuf) \
+               $(use_enable startup-notification) \
+               $(use_enable xft) \
+               $(use_enable unicode3) \
+               ${myconf}
+}
+
+src_compile() {
+       emake || die "emake failed"
+
+       sed -i \
+               -e 's/RXVT_BASENAME = "rxvt"/RXVT_BASENAME = "urxvt"/' \
+               "${S}"/doc/rxvt-tabbed || die "tabs sed failed"
+}
+
+src_install() {
+       default
+
+       dodoc \
+               README.FAQ Changes doc/README* doc/changes.txt doc/etc/* 
doc/rxvt-tabbed
+
+       make_desktop_entry urxvt rxvt-unicode utilities-terminal \
+               "System;TerminalEmulator"
+}
+
+pkg_postinst() {
+       if use buffer-on-clear; then
+               ewarn "You have enabled the buffer-on-clear USE flag."
+               ewarn "Please note that, although this works well for most 
prompts,"
+               ewarn "there have been cases with fancy prompts, like bug 
#397829,"
+               ewarn "where it caused issues. Proceed with caution."
+               ewarn "  (keep this terminal open until you make sure it works)"
+       fi
+       if use secondary-wheel; then
+               elog "You have enabled the secondary-wheel USE flag."
+               elog "This allows you to scroll in secondary screens"
+               elog "(like mutt's message list/view or nano) using the mouse 
wheel."
+               elog
+               elog "To actually enable the feature you have to add"
+               elog "  URxvt*secondaryWheel: true"
+               elog "in your ~/.Xdefaults file"
+       fi
+}

Reply via email to